<div class="container-fluid">
  <div class="row">
    <div class="col-sm-6">
      <img src="../assets/img/staticbill.JPG" class="rounded float-left" width="620px" height="auto"
        alt="Left Side Bill Pic">
    </div>
    <div class="col-sm-6 pt-4 px-4 border bg-light">
      <div class="row">
        <div class="col-md-2">
          <button type="button" class="btn emailbutton">
            <i class="fa fa-envelope text-primary"></i>
             &nbsp; DIRECT
          </button>
        </div>
        <div class="col-md-6"></div>
        <div class="col-md-2 mydrop1">
          <div class="dropdown">
            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              More
            </button>
            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Export</a>
              <a class="dropdown-item" href="#">Mark as exported</a>
              <a class="dropdown-item" href="#">Setup Vendor</a>
              <a class="dropdown-item" href="#">Flag Invoice</a>
              <a class="dropdown-item" href="#">Archive Invoice</a>
              <a class="dropdown-item" href="#">Delete Invoice</a>
            </div>
          </div>
        </div>
        <div class="col-md-2 float-left mysubmit2">
          <button type="button" class="btn btn-primary approvebtn">Approve</button>
        </div>
      </div>
      <div class="row vendorhide" *ngIf="showTable">
          VENDOR
      </div>
      <div class="row">
          <h5 class="vitem">{{billTitle}} &nbsp;</h5>
          <button class="btn btn-light btn-circle btn-sm xpnd" (click)="toggleTabie()">
            <ng-container
            *ngIf="showTable; then showUP; else showDown">
            </ng-container>
            <ng-template #showDown>
              <i class='fa fa-chevron-down'></i>
            </ng-template>
            <ng-template #showUP>
              <i class="fa fa-chevron-up"></i>
            </ng-template>
          </button>
      </div>
      <div class="row successmsg" *ngIf="showTable">
        <i class="fa fa-check-circle-o"></i>
        <span class="successtxt">&nbsp; This vendor is mapped</span> 
      </div>
      <div class="row">
          <div class="table-responsive">
              <table class="table table-borderless vendortab" *ngIf="showTable">
                  <thead *ngFor='let vdr of vendors'>
                      <tr>
                         <th class="topline1">
                          INVOICE NO.
                         </th>
                         <th class="topline1">
                           INVOICE TYPE
                         </th>
                         <th class="topline1">
                           RESTAURANT
                         </th>
                         <th class="topline2">
                           SUBTOTAL
                         </th>
                         <td class="topline2 billtext">
                          {{vdr.subtotal | currency: 'USD' : 'symbol' : '1.2-2' | convertToNocomma}}
                         </td>
                      </tr>
                      <tr>
                          <td>
                              {{vdr.invoiceno | number: '8.0-0' | convertToNocomma}}
                          </td>
                          <td>
                            {{vdr.invoicetype}}
                          </td>
                          <td>
                            {{vdr.restaurant}}
                          </td>
                          <th>
                            TAX
                          </th>
                          <td class="billtext">
                            {{vdr.tax | currency: 'USD' : 'symbol' : '1.2-2' | convertToNocomma }}
                          </td>
                      </tr>
                      <tr>
                          <th class="topline1">
                            POSTING DATE
                          </th>
                          <th class="topline1">
                            INVOICE DATE
                          </th>
                          <th class="topline1">
                            DUE DATE
                          </th>
                          <th rowspan="2" class="thtotal topline2">
                            TOTAL
                          </th>
                          <td rowspan="2" class="thtotaldata topline2">
                            {{vdr.total | currency: "USD" : "symbol" : "1.2-2" }}
                          </td>
                      </tr>
                      <tr>
                          <td class="botline1">
                            {{vdr.postingdate}}
                          </td>
                          <td class="botline1">
                            {{vdr.invoicedate}}
                          </td>
                          <td>
                            {{vdr.duedate}}
                          </td>
                      </tr>
                  </thead>
                  <tbody>

                  </tbody>
              </table>
          </div>
      </div>  
      <div class="row" *ngIf="showTable">
          <a href="#" title="Go to Memo Entry Page" class="memolink">
            <i class="fa fa-comment-o"></i>
            &nbsp;Click to enter Memo
          </a>
      </div>
      <div class="row" *ngIf="!showTable">
          <table class="table table-borderless vendortab2">
            <thead></thead>
            <tbody *ngFor='let vdr of vendors'>
                <tr>
                  <td class="outvoiceno">
                    {{vdr.invoiceno | number: '8.0-0' | convertToNocomma}}
                  </td>
                  <td class="commonformat">
                    {{vdr.invoicedate}}
                  </td>
                  <td class="commonformat">
                    {{vdr.restaurant}}
                  </td>
                  <td class="loremipsum">
                    Lorem Ipsum...
                  </td>
                  <td class="totalformat">
                    <span>TOTAL &nbsp; &nbsp;</span>{{vdr.total | currency: "USD" : "symbol" : "1.2-2" }}
                  </td>
                </tr>
            </tbody>
          </table>
      </div>
    </div>
  </div>
</div>